Skip to content

submissions_list

GET
/api/submissions
curl --request GET \
--url https://example.com/api/submissions \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List the information related to all the submission objects.

X-Workspace
required
string format: uuid

Workspace ID

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Lightweight serializer for submission list responses.

object
id
required
string format: uuid
workspace
string format: uuid
title
required
string
<= 500 characters
status
required
string
Allowed values: draft generating metadata ready submission in progress submitted update available
data
required

Return information about the data related to a given object.

Parameters

obj : object The object for which to retrieve the related data.

Returns

dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.

object
key
additional properties
settings
required

Return settings information for a submission.

Parameters

obj : Submission The submission object.

Returns

dict A dictionary containing the settings count and related URL.

object
key
additional properties
connection
required
string format: uuid
connection_obj
required

Return a slim connection summary for list views.

Avoids hydrating the full ConnectionSubmissionSerializer per row.

object
key
additional properties
errors
required
last_failed_async_task
required
error_reason
required
One of:
  • submission_failed - submission_failed
  • metadata_generation_failed - metadata_generation_failed
  • blocking_errors - blocking_errors
string
Allowed values: submission_failed metadata_generation_failed blocking_errors
external_identifiers
required

Retrieve all external identifiers for the given submission object.

Parameters

obj : Submission The submission object.

Returns

list[dict] The serialized data of the external identifier.

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2",
"results": [
{
"status": "draft",
"error_reason": "submission_failed"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "query_validation_error",
"message": "Invalid query parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "<parameter_name>",
"code": "does_not_exist",
"message": "\"<parameter_value>\" does not exist."
}
]
}